Не идет обновление CentOS

Cent OS, Scientific Linux

Модераторы: broom, Модераторы разделов

Аватара пользователя
kerogaz
Сообщения: 784
ОС: CentOS,FreeBSD 12.0

Не идет обновление CentOS

Сообщение kerogaz » 14.05.2018 11:48

Высыпается

Код: Выделить всё

--> Package libibcm.x86_64 0:15-6.el7 will be installed
--> Processing Conflict: python-devel-2.7.5-68.el7.x86_64 conflicts python < 2.7.5-68.el7
--> Processing Conflict: initscripts-9.49.41-1.el7.x86_64 conflicts redhat-release < 7.5-0.11
--> Finished Dependency Resolution
--> Running transaction check
---> Package initscripts.x86_64 0:9.49.39-1.el7_4.1 will be updated
---> Package initscripts.x86_64 0:9.49.39-1.el7_4.1 will be updated
---> Package kernel.x86_64 0:3.10.0-693.17.1.el7 will be erased
---> Package python-devel.x86_64 0:2.7.5-58.el7 will be updated
---> Package python-devel.x86_64 0:2.7.5-58.el7 will be updated
--> Processing Conflict: python-devel-2.7.5-68.el7.x86_64 conflicts python < 2.7.5-68.el7
--> Processing Conflict: initscripts-9.49.41-1.el7.x86_64 conflicts redhat-release < 7.5-0.11
--> Finished Dependency Resolution
Error: initscripts conflicts with centos-release-7-4.1708.el7.centos.x86_64
Error: python-devel conflicts with python-2.7.5-58.el7.x86_64
 You could try using --skip-broken to work around the problem
** Found 94 pre-existing rpmdb problem(s), 'yum check' output follows:
acl-2.2.51-14.el7.x86_64 is a duplicate with acl-2.2.51-12.el7.x86_64
audit-libs-2.8.1-3.el7.x86_64 is a duplicate with audit-libs-2.7.6-3.el7.x86_64
bash-4.2.46-30.el7.x86_64 is a duplicate with bash-4.2.46-29.el7_4.x86_64
binutils-2.27-27.base.el7.x86_64 is a duplicate with binutils-2.25.1-32.base.el7_4.2.x86_64
ca-certificates-2017.2.20-71.el7.noarch is a duplicate with ca-certificates-2017.2.14-71.el7.noarch
centos-release-7-5.1804.el7.centos.x86_64 is a duplicate with centos-release-7-4.1708.el7.centos.x86_64
coreutils-8.22-21.el7.x86_64 is a duplicate with coreutils-8.22-18.el7.x86_64
cpio-2.11-27.el7.x86_64 is a duplicate with cpio-2.11-25.el7_4.x86_64
cpp-4.8.5-28.el7.x86_64 is a duplicate with cpp-4.8.5-16.el7_4.2.x86_64
curl-7.29.0-46.el7.x86_64 is a duplicate with curl-7.29.0-42.el7_4.1.x86_64
cyrus-sasl-lib-2.1.26-23.el7.x86_64 is a duplicate with cyrus-sasl-lib-2.1.26-21.el7.x86_64
Запустил

Код: Выделить всё

yum check
Loaded plugins: fastestmirror, list-data, remove-with-leaves
и тишина
а redhat-release показывает

Код: Выделить всё

CentOS Linux release 7.5.1804 (Core)
Последний раз редактировалось kerogaz 14.05.2018 11:57, всего редактировалось 1 раз.
Спасибо сказали:

Аватара пользователя
Vascom
Сообщения: 1489
ОС: Fedora 30

Re: Не идет обновление CentOS 73 на 7.4

Сообщение Vascom » 14.05.2018 11:55

По хорошему надо удалять пакет и переустанавливать.
Это ты жёстко сломал что-то, вероятно прервал установку пакетов.
Спасибо сказали:

Аватара пользователя
kerogaz
Сообщения: 784
ОС: CentOS,FreeBSD 12.0

Re: Не идет обновление CentOS

Сообщение kerogaz » 14.05.2018 11:58

так что делать? Неужели нет механизма восстановления процесса обновления при например внезапном пропадании напряжения?
Последний раз редактировалось kerogaz 14.05.2018 12:01, всего редактировалось 1 раз.
Спасибо сказали:

Аватара пользователя
Vascom
Сообщения: 1489
ОС: Fedora 30

Re: Не идет обновление CentOS

Сообщение Vascom » 14.05.2018 12:01

Удалить эти пакеты и установить их заново. Лучше по одному.
Спасибо сказали:

Аватара пользователя
kerogaz
Сообщения: 784
ОС: CentOS,FreeBSD 12.0

Re: Не идет обновление CentOS

Сообщение kerogaz » 14.05.2018 12:17

Я сделал

Код: Выделить всё

yum update --skip-broken
Вроде всё прошло а в конце

Код: Выделить всё

Error:  Multilib version problems found. This often means that the root
       cause is something else and multilib version checking is just
       pointing out that there is a problem. Eg.:
       
         1. You have an upgrade for audit-libs which is missing some
            dependency that another package requires. Yum is trying to
            solve this by installing an older version of audit-libs of the
            different architecture. If you exclude the bad architecture
            yum will tell you what the root cause is (which package
            requires what). You can try redoing the upgrade with
            --exclude audit-libs.otherarch ... this should give you an error
            message showing the root cause of the problem.
       
         2. You have multiple architectures of audit-libs installed, but
            yum can only see an upgrade for one of those architectures.
            If you don't want/need both architectures anymore then you
            can remove the one with the missing update and everything
            will work.
       
         3. You have duplicate versions of audit-libs installed already.
            You can use "yum check" to get yum show these errors.
       
       ...you can also use --setopt=protected_multilib=false to remove
       this checking, however this is almost never the correct thing to
       do as something else is very likely to go wrong (often causing
       much more problems).
       
       Protected multilib versions: audit-libs-2.8.1-3.el7.i686 != audit-libs-2.7.6-3.el7.x86_64
Error: Protected multilib versions: libgcc-4.8.5-28.el7.i686 != libgcc-4.8.5-16.el7_4.2.x86_64
Error: Protected multilib versions: libdb-5.3.21-24.el7.i686 != libdb-5.3.21-21.el7_4.x86_64
Error: Protected multilib versions: glibc-2.17-222.el7.i686 != glibc-2.17-196.el7_4.2.x86_64
Error: Protected multilib versions: libattr-2.4.46-13.el7.i686 != libattr-2.4.46-12.el7.x86_64
Error: Protected multilib versions: libstdc++-4.8.5-28.el7.i686 != libstdc++-4.8.5-16.el7_4.2.x86_64
Error: Protected multilib versions: libselinux-2.5-12.el7.i686 != libselinux-2.5-11.el7.x86_64
Error: Protected multilib versions: elfutils-libelf-0.170-4.el7.i686 != elfutils-libelf-0.168-8.el7.x86_64
Error: Protected multilib versions: pam-1.1.8-22.el7.i686 != pam-1.1.8-18.el7.x86_64
Error: Protected multilib versions: nss-softokn-freebl-3.34.0-2.el7.i686 != nss-softokn-freebl-3.28.3-8.el7_4.x86_64
Error: Protected multilib versions: libsepol-2.5-8.1.el7.i686 != libsepol-2.5-6.el7.x86_64
Спасибо сказали:

Аватара пользователя
kerogaz
Сообщения: 784
ОС: CentOS,FreeBSD 12.0

Re: Не идет обновление CentOS

Сообщение kerogaz » 14.05.2018 12:29

Сделал
yum-complete-transaction --cleanup-only
Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 15763
Статус: grammatikführer
ОС: Debian GNU/Linux

Re: Не идет обновление CentOS

Сообщение Bizdelnick » 14.05.2018 12:35

Может залочили версии пакетов и забыли? Посмотрите yum versionlock list
Пишите правильно:
в консоли
вкупе (с чем-либо)
в общем
вообще
в течение (часа)
команда
новичок
нюанс
приемлемо
проблема
пробовать
трафик
Спасибо сказали:

Аватара пользователя
kerogaz
Сообщения: 784
ОС: CentOS,FreeBSD 12.0

Re: Не идет обновление CentOS

Сообщение kerogaz » 14.05.2018 12:36

Потом

Код: Выделить всё

yum update --skip-broken --setopt=protected_multilib=false
Но всё-равно хрень какая-то в конце

Код: Выделить всё

Running transaction check
Running transaction test


Transaction check error:
  file /usr/share/locale/de/LC_MESSAGES/elfutils.mo from install of elfutils-libelf-0.170-4.el7.i686 conflicts with file from package elfutils-libelf-0.168-8.el7.x86_64
  file /usr/share/locale/en@boldquot/LC_MESSAGES/elfutils.mo from install of elfutils-libelf-0.170-4.el7.i686 conflicts with file from package elfutils-libelf-0.168-8.el7.x86_64
  file /usr/share/locale/en@quot/LC_MESSAGES/elfutils.mo from install of elfutils-libelf-0.170-4.el7.i686 conflicts with file from package elfutils-libelf-0.168-8.el7.x86_64
  file /usr/share/locale/es/LC_MESSAGES/elfutils.mo from install of elfutils-libelf-0.170-4.el7.i686 conflicts with file from package elfutils-libelf-0.168-8.el7.x86_64
  file /usr/share/locale/ja/LC_MESSAGES/elfutils.mo from install of elfutils-libelf-0.170-4.el7.i686 conflicts with file from package elfutils-libelf-0.168-8.el7.x86_64
  file /usr/share/locale/pl/LC_MESSAGES/elfutils.mo from install of elfutils-libelf-0.170-4.el7.i686 conflicts with file from package elfutils-libelf-0.168-8.el7.x86_64
  file /usr/share/locale/uk/LC_MESSAGES/elfutils.mo from install of elfutils-libelf-0.170-4.el7.i686 conflicts with file from package elfutils-libelf-0.168-8.el7.x86_64
  file /etc/security/access.conf from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/doc/pam-1.1.8/Linux-PAM_SAG.txt from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/doc/pam-1.1.8/html/sag-pam_access.html from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/doc/pam-1.1.8/txts/README.pam_access from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/doc/pam-1.1.8/txts/README.pam_faillock from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/doc/pam-1.1.8/txts/README.pam_tty_audit from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/locale/pt_BR/LC_MESSAGES/Linux-PAM.mo from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/man/man5/access.conf.5.gz from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/man/man5/limits.conf.5.gz from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/man/man5/pam_env.conf.5.gz from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/man/man8/PAM.8.gz from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/man/man8/faillock.8.gz from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/man/man8/pam.8.gz from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/man/man8/pam_access.8.gz from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/man/man8/pam_env.8.gz from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/man/man8/pam_exec.8.gz from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/man/man8/pam_faillock.8.gz from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/man/man8/pam_tty_audit.8.gz from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/man/man8/pam_unix.8.gz from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/man/man8/pam_userdb.8.gz from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/man/man8/pwhistory_helper.8.gz from install of pam-1.1.8-22.el7.i686 conflicts with file from package pam-1.1.8-18.el7.x86_64
  file /usr/share/gcc-4.8.2/python/libstdcxx/v6/printers.pyc from install of libstdc++-4.8.5-28.el7.i686 conflicts with file from package libstdc++-4.8.5-16.el7_4.2.x86_64
  file /usr/share/gcc-4.8.2/python/libstdcxx/v6/printers.pyo from install of libstdc++-4.8.5-28.el7.i686 conflicts with file from package libstdc++-4.8.5-16.el7_4.2.x86_64

Error Summary
Спасибо сказали:

Аватара пользователя
Vascom
Сообщения: 1489
ОС: Fedora 30

Re: Не идет обновление CentOS

Сообщение Vascom » 14.05.2018 12:43

Удали все эти i686. После обновления поставишь заново, если они нужны будут.
Спасибо сказали:

Аватара пользователя
kerogaz
Сообщения: 784
ОС: CentOS,FreeBSD 12.0

Re: Не идет обновление CentOS

Сообщение kerogaz » 14.05.2018 12:47

Это вообще бред. Причем здесь немецкие, польские и т.д. локали и маны?
Последний раз редактировалось kerogaz 14.05.2018 12:49, всего редактировалось 1 раз.
Спасибо сказали:

Аватара пользователя
Vascom
Сообщения: 1489
ОС: Fedora 30

Re: Не идет обновление CentOS

Сообщение Vascom » 14.05.2018 12:48

Локали ни при чём. А вот версии пакетов для x86_64 и i686 не совпадают - отсюда и конфликт.
Спасибо сказали:

Аватара пользователя
kerogaz
Сообщения: 784
ОС: CentOS,FreeBSD 12.0

Re: Не идет обновление CentOS

Сообщение kerogaz » 14.05.2018 12:49

так что конкретно удалить?
Спасибо сказали:

Аватара пользователя
Vascom
Сообщения: 1489
ОС: Fedora 30

Re: Не идет обновление CentOS

Сообщение Vascom » 14.05.2018 12:50

Все i686, которые конфликтуют. Например elfutils-libelf.i686 pam.i686 libstdc++.i686
Спасибо сказали:

Аватара пользователя
kerogaz
Сообщения: 784
ОС: CentOS,FreeBSD 12.0

Re: Не идет обновление CentOS

Сообщение kerogaz » 14.05.2018 12:58

Да их никак не удалить

Код: Выделить всё

rpm -e elfutils-libelf-0.168-8.el7.i686
error: Failed dependencies:
	elfutils-libelf(x86-32) = 0.168-8.el7 is needed by (installed) elfutils-libs-0.168-8.el7.i686
	libelf.so.1 is needed by (installed) elfutils-libs-0.168-8.el7.i686
	libelf.so.1(ELFUTILS_1.0) is needed by (installed) elfutils-libs-0.168-8.el7.i686
	libelf.so.1(ELFUTILS_1.1.1) is needed by (installed) elfutils-libs-0.168-8.el7.i686
	libelf.so.1(ELFUTILS_1.3) is needed by (installed) elfutils-libs-0.168-8.el7.i686
	libelf.so.1(ELFUTILS_1.4) is needed by (installed) elfutils-libs-0.168-8.el7.i686
	libelf.so.1(ELFUTILS_1.5) is needed by (installed) elfutils-libs-0.168-8.el7.i686
	libelf.so.1(ELFUTILS_1.6) is needed by (installed) elfutils-libs-0.168-8.el7.i686
	libelf.so.1(ELFUTILS_1.7) is needed by (installed) elfutils-libs-0.168-8.el7.i686
[root@node4 LC_MESSAGES]# rpm -e elfutils-libelf.i686 pam.i686 libstdc++.i686
error: Failed dependencies:
	elfutils-libelf(x86-32) = 0.168-8.el7 is needed by (installed) elfutils-libs-0.168-8.el7.i686
	libelf.so.1 is needed by (installed) elfutils-libs-0.168-8.el7.i686
	libelf.so.1(ELFUTILS_1.0) is needed by (installed) elfutils-libs-0.168-8.el7.i686
	libelf.so.1(ELFUTILS_1.1.1) is needed by (installed) elfutils-libs-0.168-8.el7.i686
	libelf.so.1(ELFUTILS_1.3) is needed by (installed) elfutils-libs-0.168-8.el7.i686
	libelf.so.1(ELFUTILS_1.4) is needed by (installed) elfutils-libs-0.168-8.el7.i686
	libelf.so.1(ELFUTILS_1.5) is needed by (installed) elfutils-libs-0.168-8.el7.i686
	libelf.so.1(ELFUTILS_1.6) is needed by (installed) elfutils-libs-0.168-8.el7.i686
	libelf.so.1(ELFUTILS_1.7) is needed by (installed) elfutils-libs-0.168-8.el7.i686
	libpam.so.0 is needed by (installed) systemd-libs-219-42.el7_4.10.i686
	libpam.so.0(LIBPAM_1.0) is needed by (installed) systemd-libs-219-42.el7_4.10.i686
	libpam.so.0(LIBPAM_EXTENSION_1.0) is needed by (installed) systemd-libs-219-42.el7_4.10.i686
	libpam.so.0(LIBPAM_MODUTIL_1.0) is needed by (installed) systemd-libs-219-42.el7_4.10.i686
	libpam_misc.so.0 is needed by (installed) systemd-libs-219-42.el7_4.10.i686
	libpam_misc.so.0(LIBPAM_MISC_1.0) is needed by (installed) systemd-libs-219-42.el7_4.10.i686
	libstdc++.so.6 is needed by (installed) pcre-8.32-17.el7.i686
	libstdc++.so.6(CXXABI_1.3) is needed by (installed) pcre-8.32-17.el7.i686
	libstdc++.so.6(GLIBCXX_3.4) is needed by (installed) pcre-8.32-17.el7.i686
	libstdc++.so.6(GLIBCXX_3.4.9) is needed by (installed) pcre-8.32-17.el7.i686
Спасибо сказали:

Аватара пользователя
Vascom
Сообщения: 1489
ОС: Fedora 30

Re: Не идет обновление CentOS

Сообщение Vascom » 14.05.2018 13:00

Через yum удали. Чтобы и все зависимости вычистил.
Спасибо сказали:

Аватара пользователя
kerogaz
Сообщения: 784
ОС: CentOS,FreeBSD 12.0

Re: Не идет обновление CentOS

Сообщение kerogaz » 14.05.2018 13:16

Удалил и через yum update --skip-broken --setopt=protected_multilib=false
Обновил

Код: Выделить всё

Updated:
  NetworkManager.x86_64 1:1.10.2-13.el7                          NetworkManager-libnm.x86_64 1:1.10.2-13.el7              NetworkManager-ppp.x86_64 1:1.10.2-13.el7          
  NetworkManager-tui.x86_64 1:1.10.2-13.el7                      alsa-lib.x86_64 0:1.1.4.1-2.el7                          audit.x86_64 0:2.8.1-3.el7                         
  audit-libs.i686 0:2.8.1-3.el7                                  autofs.x86_64 1:5.0.7-83.el7                             avahi-autoipd.x86_64 0:0.6.31-19.el7               
  avahi-libs.x86_64 0:0.6.31-19.el7                              biosdevname.x86_64 0:0.7.3-1.el7                         cronie.x86_64 0:1.4.11-19.el7                      
  cronie-anacron.x86_64 0:1.4.11-19.el7                          cryptsetup-libs.x86_64 0:1.7.4-4.el7                     dbus.x86_64 1:1.10.24-7.el7                        
  dbus-libs.x86_64 1:1.10.24-7.el7                               device-mapper.x86_64 7:1.02.146-4.el7                    device-mapper-event.x86_64 7:1.02.146-4.el7        
  device-mapper-event-libs.x86_64 7:1.02.146-4.el7               device-mapper-libs.x86_64 7:1.02.146-4.el7               dnsmasq.x86_64 0:2.76-5.el7                        
  e2fsprogs.x86_64 0:1.42.9-11.el7                               ebtables.x86_64 0:2.0.10-16.el7                          elfutils.x86_64 0:0.170-4.el7                      
  elfutils-default-yama-scope.noarch 0:0.170-4.el7               elfutils-libs.x86_64 0:0.170-4.el7                       gcc.x86_64 0:4.8.5-28.el7                          
  gcc-c++.x86_64 0:4.8.5-28.el7                                  gcc-gfortran.x86_64 0:4.8.5-28.el7                       glibc.i686 0:2.17-222.el7                          
  glibc-devel.x86_64 0:2.17-222.el7                              glibc-headers.x86_64 0:2.17-222.el7                      gsettings-desktop-schemas.x86_64 0:3.24.1-1.el7    
  gssproxy.x86_64 0:0.7.0-17.el7                                 hwdata.x86_64 0:0.252-8.8.el7                            iprutils.x86_64 0:2.4.15.1-1.el7                   
  iptables-services.x86_64 0:1.4.21-24.el7                       irqbalance.x86_64 3:1.0.7-11.el7                         iwl100-firmware.noarch 0:39.31.5.1-62.el7          
  iwl1000-firmware.noarch 1:39.31.5.1-62.el7                     iwl105-firmware.noarch 0:18.168.6.1-62.el7               iwl135-firmware.noarch 0:18.168.6.1-62.el7         
  iwl2000-firmware.noarch 0:18.168.6.1-62.el7                    iwl2030-firmware.noarch 0:18.168.6.1-62.el7              iwl3160-firmware.noarch 0:22.0.7.0-62.el7          
  iwl3945-firmware.noarch 0:15.32.2.9-62.el7                     iwl4965-firmware.noarch 0:228.61.2.24-62.el7             iwl5000-firmware.noarch 0:8.83.5.1_1-62.el7        
  iwl5150-firmware.noarch 0:8.24.2.2-62.el7                      iwl6000-firmware.noarch 0:9.221.4.1-62.el7               iwl6000g2a-firmware.noarch 0:17.168.5.3-62.el7     
  iwl6000g2b-firmware.noarch 0:17.168.5.2-62.el7                 iwl6050-firmware.noarch 0:41.28.5.1-62.el7               iwl7260-firmware.noarch 0:22.0.7.0-62.el7          
  kernel-headers.x86_64 0:3.10.0-862.2.3.el7                     kernel-tools.x86_64 0:3.10.0-862.2.3.el7                 kernel-tools-libs.x86_64 0:3.10.0-862.2.3.el7      
  kmod.x86_64 0:20-21.el7                                        libattr.i686 0:2.4.46-13.el7                             libdb.i686 0:5.3.21-24.el7                         
  libdb-devel.x86_64 0:5.3.21-24.el7                             libgcc.i686 0:4.8.5-28.el7                               libgudev1.x86_64 0:219-57.el7                      
  libini_config.x86_64 0:1.3.1-29.el7                            libpath_utils.x86_64 0:0.2.1-29.el7                      libpcap.x86_64 14:1.5.3-11.el7                     
  libpciaccess.x86_64 0:0.14-1.el7                               libpciaccess-devel.x86_64 0:0.14-1.el7                   libproxy.x86_64 0:0.4.11-11.el7                    
  libquadmath-devel.x86_64 0:4.8.5-28.el7                        libreport-filesystem.x86_64 0:2.1.11-40.el7.centos       libsepol.i686 0:2.5-8.1.el7                        
  libsolv.x86_64 0:0.6.26-2.el7                                  libsoup.x86_64 0:2.56.0-6.el7                            libtalloc.x86_64 0:2.1.10-1.el7                    
  libteam.x86_64 0:1.27-4.el7                                    libtevent.x86_64 0:0.9.33-2.el7                          logrotate.x86_64 0:3.8.6-15.el7                    
  lshw.x86_64 0:B.02.18-12.el7                                   lsof.x86_64 0:4.87-5.el7                                 lvm2.x86_64 7:2.02.177-4.el7                       
  lvm2-libs.x86_64 7:2.02.177-4.el7                              microcode_ctl.x86_64 2:2.1-29.el7                        nfs-utils.x86_64 1:1.3.0-0.54.el7                  
  nss-softokn-freebl.i686 0:3.34.0-2.el7                         ntp.x86_64 0:4.2.6p5-28.el7.centos                       ntpdate.x86_64 0:4.2.6p5-28.el7.centos             
  openssh.x86_64 0:7.4p1-16.el7                                  openssh-clients.x86_64 0:7.4p1-16.el7                    openssh-server.x86_64 0:7.4p1-16.el7               
  openssl.x86_64 1:1.0.2k-12.el7                                 openssl-devel.x86_64 1:1.0.2k-12.el7                     parted.x86_64 0:3.1-29.el7                         
  policycoreutils.x86_64 0:2.5-22.el7                            polkit.x86_64 0:0.112-14.el7                             procps-ng.x86_64 0:3.3.10-17.el7                   
  python-backports-ssl_match_hostname.noarch 0:3.5.0.1-1.el7     python-slip-dbus.noarch 0:0.4.0-4.el7                    quota.x86_64 1:4.01-17.el7                         
  redhat-rpm-config.noarch 0:9.1.0-80.el7.centos                 rpcbind.x86_64 0:0.2.0-44.el7                            rpm-build.x86_64 0:4.11.3-32.el7                   
  rsync.x86_64 0:3.1.2-4.el7                                     rsyslog.x86_64 0:8.24.0-16.el7                           selinux-policy.noarch 0:3.13.1-192.el7_5.3         
  selinux-policy-targeted.noarch 0:3.13.1-192.el7_5.3            sudo.x86_64 0:1.8.19p2-13.el7                            systemd.x86_64 0:219-57.el7                        
  systemd-libs.x86_64 0:219-57.el7                               systemd-sysv.x86_64 0:219-57.el7                         systemtap-sdt-devel.x86_64 0:3.2-4.el7             
  teamd.x86_64 0:1.27-4.el7                                      tuned.noarch 0:2.9.0-1.el7                               virt-what.x86_64 0:1.18-4.el7                      
  wpa_supplicant.x86_64 1:2.6-9.el7                              xfsprogs.x86_64 0:4.5.0-15.el7                           yum-cron.noarch 0:3.4.3-158.el7.centos             
  yum-plugin-list-data.noarch 0:1.1.31-45.el7                    yum-plugin-remove-with-leaves.noarch 0:1.1.31-45.el7     yum-utils.noarch 0:1.1.31-45.el7                   

Skipped (dependency problems):
  bind-libs-lite.x86_64 32:9.9.4-61.el7              bind-license.noarch 32:9.9.4-61.el7                          dhclient.x86_64 12:4.2.5-68.el7.centos                    
  dhcp-common.x86_64 12:4.2.5-68.el7.centos          dhcp-libs.x86_64 12:4.2.5-68.el7.centos                      dracut.x86_64 0:033-535.el7                               
  dracut-config-rescue.x86_64 0:033-535.el7          dracut-network.x86_64 0:033-535.el7                          hwloc-devel.x86_64 0:1.11.8-4.el7                         
  ibacm.x86_64 0:15-6.el7                            infinipath-psm.x86_64 0:3.3-26_g604758e_open.2.el7           initscripts.x86_64 0:9.49.41-1.el7                        
  kernel.x86_64 0:3.10.0-862.2.3.el7                 kexec-tools.x86_64 0:2.0.15-13.el7                           kpartx.x86_64 0:0.4.9-119.el7                             
  libdrm.x86_64 0:2.4.83-2.el7                       libfabric.x86_64 0:1.5.3-1.el7                               libibcm.x86_64 0:15-6.el7                                 
  libibumad.x86_64 0:15-6.el7                        libibverbs.x86_64 0:15-6.el7                                 librdmacm.x86_64 0:15-6.el7                               
  openmpi.x86_64 0:1.10.7-1.el7                      opensm-libs.x86_64 0:3.3.20-2.el7                            pciutils.x86_64 0:3.5.1-3.el7                             
  plymouth.x86_64 0:0.8.9-0.31.20140113.el7.centos   plymouth-core-libs.x86_64 0:0.8.9-0.31.20140113.el7.centos   plymouth-scripts.x86_64 0:0.8.9-0.31.20140113.el7.centos  
  rdma-core.x86_64 0:15-6.el7                        rdma-core-devel.x86_64 0:15-6.el7                           

Complete!
Но после этого чистый yum update всё-равно дает те же ошибки дублирования типа

l

Код: Выделить всё

ibuser-0.60-9.el7.x86_64 is a duplicate with libuser-0.60-7.el7_1.x86_64
libuuid-2.23.2-52.el7.x86_64 is a duplicate with libuuid-2.23.2-43.el7_4.2.x86_64
linux-firmware-20180220-62.git6d51311.el7.noarch is a duplicate with linux-firmware-20170606-58.gitc990aae.el7_4.noarch
mozjs17-17.0.0-20.el7.x86_64 is a duplicate with mozjs17-17.0.0-19.el7.x86_64
Спасибо сказали:

Аватара пользователя
kerogaz
Сообщения: 784
ОС: CentOS,FreeBSD 12.0

Re: Не идет обновление CentOS

Сообщение kerogaz » 14.05.2018 13:19

как очистить эти дублированные файлы не по одному а сразу?
Да ещё появилась ошибка

Код: Выделить всё

Error: initscripts conflicts with centos-release-7-4.1708.el7.centos.x86_64
 You could try using --skip-broken to work around the problem
Спасибо сказали:

Аватара пользователя
kerogaz
Сообщения: 784
ОС: CentOS,FreeBSD 12.0

Re: Не идет обновление CentOS

Сообщение kerogaz » 14.05.2018 13:25

А yum update --skip -broken ничего не находит

No Match for argument: broken
No package broken available.
No packages marked for update
Спасибо сказали:

Аватара пользователя
kerogaz
Сообщения: 784
ОС: CentOS,FreeBSD 12.0

Re: Не идет обновление CentOS

Сообщение kerogaz » 14.05.2018 13:34

Зато dnf после всего проделанноговсё обновил как надо

Код: Выделить всё

dnf update
Using metadata from Sat May 12 20:29:37 2018
Dependencies resolved.
=============================================================================================================================================================================
 Package                                      Arch                           Version                                                   Repository                       Size
=============================================================================================================================================================================
Installing:
 ibacm                                        x86_64                         15-6.el7                                                  base                             77 k
 kernel                                       x86_64                         3.10.0-862.2.3.el7                                        updates                          46 M
 libibcm                                      x86_64                         15-6.el7                                                  base                             15 k
 rdma-core-devel                              x86_64                         15-6.el7                                                  base                            203 k
Upgrading:
 bind-libs-lite                               x86_64                         32:9.9.4-61.el7                                           base                            734 k
 bind-license                                 noarch                         32:9.9.4-61.el7                                           base                             85 k
 dhclient                                     x86_64                         12:4.2.5-68.el7.centos                                    base                            284 k
 dhcp-common                                  x86_64                         12:4.2.5-68.el7.centos                                    base                            175 k
 dhcp-libs                                    x86_64                         12:4.2.5-68.el7.centos                                    base                            131 k
 dracut                                       x86_64                         033-535.el7                                               base                            325 k
 dracut-config-rescue                         x86_64                         033-535.el7                                               base                             58 k
 dracut-network                               x86_64                         033-535.el7                                               base                            100 k
 hwloc-devel                                  x86_64                         1.11.8-4.el7                                              base                            208 k
 infinipath-psm                               x86_64                         3.3-26_g604758e_open.2.el7                                base                            186 k
 kexec-tools                                  x86_64                         2.0.15-13.el7                                             base                            341 k
 kpartx                                       x86_64                         0.4.9-119.el7                                             base                             75 k
 libdrm                                       x86_64                         2.4.83-2.el7                                              base                            151 k
 libfabric                                    x86_64                         1.5.3-1.el7                                               base                            445 k
 libibumad                                    x86_64                         15-6.el7                                                  base                             21 k
 libibverbs                                   x86_64                         15-6.el7                                                  base                            224 k
 librdmacm                                    x86_64                         15-6.el7                                                  base                             61 k
 openmpi                                      x86_64                         1.10.7-1.el7                                              base                            3.1 M
 opensm-libs                                  x86_64                         3.3.20-2.el7                                              base                             66 k
 pciutils                                     x86_64                         3.5.1-3.el7                                               base                             93 k
 plymouth                                     x86_64                         0.8.9-0.31.20140113.el7.centos                            base                            116 k
 plymouth-core-libs                           x86_64                         0.8.9-0.31.20140113.el7.centos                            base                            107 k
 plymouth-scripts                             x86_64                         0.8.9-0.31.20140113.el7.centos                            base                             39 k
 rdma-core                                    x86_64                         15-6.el7                                                  base                             48 k

Transaction Summary
=============================================================================================================================================================================
Install   4 Packages
Upgrade  24 Packages

Total size: 53 M
Is this ok [y/N]: y
Downloading Packages:
[SKIPPED] rdma-core-devel-15-6.el7.x86_64.rpm: Already downloaded                                                                                                           
[SKIPPED] ibacm-15-6.el7.x86_64.rpm: Already downloaded                                                                                                                     
[SKIPPED] libibcm-15-6.el7.x86_64.rpm: Already downloaded                                                                                                                   
[SKIPPED] kernel-3.10.0-862.2.3.el7.x86_64.rpm: Already downloaded                                                                                                          
[SKIPPED] bind-libs-lite-9.9.4-61.el7.x86_64.rpm: Already downloaded                                                                                                        
[SKIPPED] bind-license-9.9.4-61.el7.noarch.rpm: Already downloaded                                                                                                          
[SKIPPED] dhclient-4.2.5-68.el7.centos.x86_64.rpm: Already downloaded                                                                                                       
[SKIPPED] dhcp-common-4.2.5-68.el7.centos.x86_64.rpm: Already downloaded                                                                                                    
[SKIPPED] dhcp-libs-4.2.5-68.el7.centos.x86_64.rpm: Already downloaded                                                                                                      
[SKIPPED] dracut-033-535.el7.x86_64.rpm: Already downloaded                                                                                                                 
[SKIPPED] dracut-network-033-535.el7.x86_64.rpm: Already downloaded                                                                                                         
[SKIPPED] dracut-config-rescue-033-535.el7.x86_64.rpm: Already downloaded                                                                                                   
[SKIPPED] hwloc-devel-1.11.8-4.el7.x86_64.rpm: Already downloaded                                                                                                           
[SKIPPED] libibverbs-15-6.el7.x86_64.rpm: Already downloaded                                                                                                                
[SKIPPED] rdma-core-15-6.el7.x86_64.rpm: Already downloaded                                                                                                                 
[SKIPPED] libibumad-15-6.el7.x86_64.rpm: Already downloaded                                                                                                                 
[SKIPPED] librdmacm-15-6.el7.x86_64.rpm: Already downloaded                                                                                                                 
[SKIPPED] infinipath-psm-3.3-26_g604758e_open.2.el7.x86_64.rpm: Already downloaded                                                                                          
[SKIPPED] kexec-tools-2.0.15-13.el7.x86_64.rpm: Already downloaded                                                                                                          
[SKIPPED] kpartx-0.4.9-119.el7.x86_64.rpm: Already downloaded                                                                                                               
[SKIPPED] libdrm-2.4.83-2.el7.x86_64.rpm: Already downloaded                                                                                                                
[SKIPPED] libfabric-1.5.3-1.el7.x86_64.rpm: Already downloaded                                                                                                              
[SKIPPED] openmpi-1.10.7-1.el7.x86_64.rpm: Already downloaded                                                                                                               
[SKIPPED] opensm-libs-3.3.20-2.el7.x86_64.rpm: Already downloaded                                                                                                           
[SKIPPED] pciutils-3.5.1-3.el7.x86_64.rpm: Already downloaded                                                                                                               
[SKIPPED] plymouth-0.8.9-0.31.20140113.el7.centos.x86_64.rpm: Already downloaded                                                                                            
[SKIPPED] plymouth-core-libs-0.8.9-0.31.20140113.el7.centos.x86_64.rpm: Already downloaded                                                                                  
[SKIPPED] plymouth-scripts-0.8.9-0.31.20140113.el7.centos.x86_64.rpm: Already downloaded                                                                                    
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Upgrading   : infinipath-psm-3.3-26_g604758e_open.2.el7.x86_64                                                                                                        1/52 
  Upgrading   : dhcp-libs-12:4.2.5-68.el7.centos.x86_64                                                                                                                 2/52 
  Upgrading   : dhcp-common-12:4.2.5-68.el7.centos.x86_64                                                                                                               3/52 
  Upgrading   : plymouth-core-libs-0.8.9-0.31.20140113.el7.centos.x86_64                                                                                                4/52 
  Upgrading   : pciutils-3.5.1-3.el7.x86_64                                                                                                                             5/52 
  Upgrading   : libdrm-2.4.83-2.el7.x86_64                                                                                                                              6/52 
  Upgrading   : kpartx-0.4.9-119.el7.x86_64                                                                                                                             7/52 
  Upgrading   : dracut-033-535.el7.x86_64                                                                                                                               8/52 
  Upgrading   : rdma-core-15-6.el7.x86_64                                                                                                                               9/52 
  Upgrading   : libibverbs-15-6.el7.x86_64                                                                                                                             10/52 
  Upgrading   : librdmacm-15-6.el7.x86_64                                                                                                                              11/52 
  Upgrading   : libibumad-15-6.el7.x86_64                                                                                                                              12/52 
  Installing  : ibacm-15-6.el7.x86_64                                                                                                                                  13/52 
  Upgrading   : opensm-libs-3.3.20-2.el7.x86_64                                                                                                                        14/52 
  Upgrading   : libfabric-1.5.3-1.el7.x86_64                                                                                                                           15/52 
  Installing  : libibcm-15-6.el7.x86_64                                                                                                                                16/52 
  Installing  : rdma-core-devel-15-6.el7.x86_64                                                                                                                        17/52 
  Upgrading   : plymouth-scripts-0.8.9-0.31.20140113.el7.centos.x86_64                                                                                                 18/52 
  Upgrading   : plymouth-0.8.9-0.31.20140113.el7.centos.x86_64                                                                                                         19/52 
  Upgrading   : bind-license-32:9.9.4-61.el7.noarch                                                                                                                    20/52 
  Upgrading   : bind-libs-lite-32:9.9.4-61.el7.x86_64                                                                                                                  21/52 
  Upgrading   : dhclient-12:4.2.5-68.el7.centos.x86_64                                                                                                                 22/52 
  Upgrading   : dracut-network-033-535.el7.x86_64                                                                                                                      23/52 
  Upgrading   : kexec-tools-2.0.15-13.el7.x86_64                                                                                                                       24/52 
  Upgrading   : hwloc-devel-1.11.8-4.el7.x86_64                                                                                                                        25/52 
  Upgrading   : openmpi-1.10.7-1.el7.x86_64                                                                                                                            26/52 
  Installing  : kernel-3.10.0-862.2.3.el7.x86_64                                                                                                                       27/52 
  Upgrading   : dracut-config-rescue-033-535.el7.x86_64                                                                                                                28/52 
  Cleanup     : dracut-config-rescue-033-502.el7_4.1.x86_64                                                                                                            29/52 
  Cleanup     : hwloc-devel-1.11.2-2.el7.x86_64                                                                                                                        30/52 
  Cleanup     : openmpi-1.10.6-2.el7.x86_64                                                                                                                            31/52 
  Cleanup     : libfabric-1.4.2-1.el7.x86_64                                                                                                                           32/52 
  Cleanup     : plymouth-scripts-0.8.9-0.28.20140113.el7.centos.x86_64                                                                                                 33/52 
  Cleanup     : plymouth-0.8.9-0.28.20140113.el7.centos.x86_64                                                                                                         34/52 
  Cleanup     : librdmacm-13-7.el7.x86_64                                                                                                                              35/52 
  Cleanup     : kexec-tools-2.0.14-17.2.el7.x86_64                                                                                                                     36/52 
  Cleanup     : dracut-network-033-502.el7_4.1.x86_64                                                                                                                  37/52 
  Cleanup     : dhclient-12:4.2.5-58.el7.centos.3.x86_64                                                                                                               38/52 
  Cleanup     : dhcp-common-12:4.2.5-58.el7.centos.3.x86_64                                                                                                            39/52 
  Cleanup     : bind-libs-lite-32:9.9.4-51.el7_4.2.x86_64                                                                                                              40/52 
  Cleanup     : libibverbs-13-7.el7.x86_64                                                                                                                             41/52 
  Cleanup     : opensm-libs-3.3.19-1.el7.x86_64                                                                                                                        42/52 
  Cleanup     : bind-license-32:9.9.4-51.el7_4.2.noarch                                                                                                                43/52 
  Cleanup     : dhcp-libs-12:4.2.5-58.el7.centos.3.x86_64                                                                                                              44/52 
  Cleanup     : libibumad-13-7.el7.x86_64                                                                                                                              45/52 
  Cleanup     : rdma-core-13-7.el7.x86_64                                                                                                                              46/52 
  Cleanup     : dracut-033-502.el7_4.1.x86_64                                                                                                                          47/52 
  Cleanup     : kpartx-0.4.9-111.el7_4.2.x86_64                                                                                                                        48/52 
  Cleanup     : pciutils-3.5.1-2.el7.x86_64                                                                                                                            49/52 
  Cleanup     : libdrm-2.4.74-1.el7.x86_64                                                                                                                             50/52 
  Cleanup     : plymouth-core-libs-0.8.9-0.28.20140113.el7.centos.x86_64                                                                                               51/52 
  Cleanup     : infinipath-psm-3.3-25_g326b95a_open.1.el7.x86_64                                                                                                       52/52 
  Verifying   : rdma-core-devel-15-6.el7.x86_64                                                                                                                         1/52 
  Verifying   : ibacm-15-6.el7.x86_64                                                                                                                                   2/52 
  Verifying   : libibcm-15-6.el7.x86_64                                                                                                                                 3/52 
  Verifying   : kernel-3.10.0-862.2.3.el7.x86_64                                                                                                                        4/52 
  Verifying   : bind-libs-lite-32:9.9.4-61.el7.x86_64                                                                                                                   5/52 
  Verifying   : bind-license-32:9.9.4-61.el7.noarch                                                                                                                     6/52 
  Verifying   : dhclient-12:4.2.5-68.el7.centos.x86_64                                                                                                                  7/52 
  Verifying   : dhcp-common-12:4.2.5-68.el7.centos.x86_64                                                                                                               8/52 
  Verifying   : dhcp-libs-12:4.2.5-68.el7.centos.x86_64                                                                                                                 9/52 
  Verifying   : dracut-033-535.el7.x86_64                                                                                                                              10/52 
  Verifying   : dracut-network-033-535.el7.x86_64                                                                                                                      11/52 
  Verifying   : dracut-config-rescue-033-535.el7.x86_64                                                                                                                12/52 
  Verifying   : hwloc-devel-1.11.8-4.el7.x86_64                                                                                                                        13/52 
  Verifying   : libibverbs-15-6.el7.x86_64                                                                                                                             14/52 
  Verifying   : rdma-core-15-6.el7.x86_64                                                                                                                              15/52 
  Verifying   : libibumad-15-6.el7.x86_64                                                                                                                              16/52 
  Verifying   : librdmacm-15-6.el7.x86_64                                                                                                                              17/52 
  Verifying   : infinipath-psm-3.3-26_g604758e_open.2.el7.x86_64                                                                                                       18/52 
  Verifying   : kexec-tools-2.0.15-13.el7.x86_64                                                                                                                       19/52 
  Verifying   : kpartx-0.4.9-119.el7.x86_64                                                                                                                            20/52 
  Verifying   : libdrm-2.4.83-2.el7.x86_64                                                                                                                             21/52 
  Verifying   : libfabric-1.5.3-1.el7.x86_64                                                                                                                           22/52 
  Verifying   : openmpi-1.10.7-1.el7.x86_64                                                                                                                            23/52 
  Verifying   : opensm-libs-3.3.20-2.el7.x86_64                                                                                                                        24/52 
  Verifying   : pciutils-3.5.1-3.el7.x86_64                                                                                                                            25/52 
  Verifying   : plymouth-0.8.9-0.31.20140113.el7.centos.x86_64                                                                                                         26/52 
  Verifying   : plymouth-core-libs-0.8.9-0.31.20140113.el7.centos.x86_64                                                                                               27/52 
  Verifying   : plymouth-scripts-0.8.9-0.31.20140113.el7.centos.x86_64                                                                                                 28/52 
  Verifying   : libibumad-13-7.el7.x86_64                                                                                                                              29/52 
  Verifying   : libibverbs-13-7.el7.x86_64                                                                                                                             30/52 
  Verifying   : opensm-libs-3.3.19-1.el7.x86_64                                                                                                                        31/52 
  Verifying   : rdma-core-13-7.el7.x86_64                                                                                                                              32/52 
  Verifying   : openmpi-1.10.6-2.el7.x86_64                                                                                                                            33/52 
  Verifying   : dracut-033-502.el7_4.1.x86_64                                                                                                                          34/52 
  Verifying   : plymouth-0.8.9-0.28.20140113.el7.centos.x86_64                                                                                                         35/52 
  Verifying   : plymouth-core-libs-0.8.9-0.28.20140113.el7.centos.x86_64                                                                                               36/52 
  Verifying   : plymouth-scripts-0.8.9-0.28.20140113.el7.centos.x86_64                                                                                                 37/52 
  Verifying   : dhclient-12:4.2.5-58.el7.centos.3.x86_64                                                                                                               38/52 
  Verifying   : bind-libs-lite-32:9.9.4-51.el7_4.2.x86_64                                                                                                              39/52 
  Verifying   : bind-license-32:9.9.4-51.el7_4.2.noarch                                                                                                                40/52 
  Verifying   : librdmacm-13-7.el7.x86_64                                                                                                                              41/52 
  Verifying   : dhcp-common-12:4.2.5-58.el7.centos.3.x86_64                                                                                                            42/52 
  Verifying   : dhcp-libs-12:4.2.5-58.el7.centos.3.x86_64                                                                                                              43/52 
  Verifying   : pciutils-3.5.1-2.el7.x86_64                                                                                                                            44/52 
  Verifying   : libdrm-2.4.74-1.el7.x86_64                                                                                                                             45/52 
  Verifying   : kpartx-0.4.9-111.el7_4.2.x86_64                                                                                                                        46/52 
  Verifying   : dracut-config-rescue-033-502.el7_4.1.x86_64                                                                                                            47/52 
  Verifying   : dracut-network-033-502.el7_4.1.x86_64                                                                                                                  48/52 
  Verifying   : libfabric-1.4.2-1.el7.x86_64                                                                                                                           49/52 
  Verifying   : hwloc-devel-1.11.2-2.el7.x86_64                                                                                                                        50/52 
  Verifying   : kexec-tools-2.0.14-17.2.el7.x86_64                                                                                                                     51/52 
  Verifying   : infinipath-psm-3.3-25_g326b95a_open.1.el7.x86_64                                                                                                       52/52 

Installed:
  ibacm.x86_64 15-6.el7                kernel.x86_64 3.10.0-862.2.3.el7                libibcm.x86_64 15-6.el7                rdma-core-devel.x86_64 15-6.el7               

Upgraded:
  bind-libs-lite.x86_64 32:9.9.4-61.el7                        bind-license.noarch 32:9.9.4-61.el7                        dhclient.x86_64 12:4.2.5-68.el7.centos            
  dhcp-common.x86_64 12:4.2.5-68.el7.centos                    dhcp-libs.x86_64 12:4.2.5-68.el7.centos                    dracut.x86_64 033-535.el7                         
  dracut-config-rescue.x86_64 033-535.el7                      dracut-network.x86_64 033-535.el7                          hwloc-devel.x86_64 1.11.8-4.el7                   
  infinipath-psm.x86_64 3.3-26_g604758e_open.2.el7             kexec-tools.x86_64 2.0.15-13.el7                           kpartx.x86_64 0.4.9-119.el7                       
  libdrm.x86_64 2.4.83-2.el7                                   libfabric.x86_64 1.5.3-1.el7                               libibumad.x86_64 15-6.el7                         
  libibverbs.x86_64 15-6.el7                                   librdmacm.x86_64 15-6.el7                                  openmpi.x86_64 1.10.7-1.el7                       
  opensm-libs.x86_64 3.3.20-2.el7                              pciutils.x86_64 3.5.1-3.el7                                plymouth.x86_64 0.8.9-0.31.20140113.el7.centos    
  plymouth-core-libs.x86_64 0.8.9-0.31.20140113.el7.centos     plymouth-scripts.x86_64 0.8.9-0.31.20140113.el7.centos     rdma-core.x86_64 15-6.el7                         

Complete!
Спасибо сказали:

Аватара пользователя
kerogaz
Сообщения: 784
ОС: CentOS,FreeBSD 12.0

Re: Не идет обновление CentOS

Сообщение kerogaz » 14.05.2018 14:57

Наверное yum закляк, потому что тех пакетов с которыми был конфликт вообще не было в списке установленных. Буду теперь только dnf пользоваться
Спасибо сказали: